# Uses of Interface
com.github.lgooddatepicker.optionalusertools.DateChangeListener

Packages that use DateChangeListener
Package
Description
com.github.lgooddatepicker.components

## Uses of DateChangeListener in com.github.lgooddatepicker.components

Methods in com.github.lgooddatepicker.components that return types with arguments of type DateChangeListener
Modifier and Type
Method
Description
`ArrayList<DateChangeListener>`
DatePicker.`getDateChangeListeners()`
getDateChangeListeners, This returns a new ArrayList, that contains any date change listeners that are registered with this DatePicker.
Methods in com.github.lgooddatepicker.components with parameters of type DateChangeListener
Modifier and Type
Method
Description
`void`
DatePicker.`addDateChangeListener(DateChangeListener listener)`
addDateChangeListener, This adds a date change listener to this date picker.
`void`
DatePicker.`removeDateChangeListener(DateChangeListener listener)`
removeDateChangeListener, This removes the specified date change listener from this date picker.